Public Attributes | List of all members
dfu_spi_flash_func_t Struct Reference
SYSTEM » Device Firmware Update » Structures

SPI used functions config definition. More...

`#include <gr5405_dfu.h>`

## Public Attributes
void(* | dfu_spi_flash_init )(uint8_t *p_data)
uint32_t(* | dfu_spi_flash_read )(uint32_t addr, uint8_t *buf, uint32_t size)
uint32_t(* | dfu_spi_flash_write )(uint32_t addr, uint8_t *buf, uint32_t size)
bool(* | dfu_spi_flash_erase )(uint32_t erase_type, uint32_t addr, uint32_t size)
void(* | dfu_spi_flash_get_info )(uint32_t *id, uint32_t *size)
uint32_t(* | dfu_flash_feat_enable )(uint32_t feature)

## Detailed Description

SPI used functions config definition.

Definition at line 137 of file gr5405_dfu.h.

## Member Data Documentation

## ◆ dfu_flash_feat_enable

uint32_t(* dfu_spi_flash_func_t::dfu_flash_feat_enable) (uint32_t feature)

The function is used to enable dfu flash feature.

Definition at line 144 of file gr5405_dfu.h.

## ◆ dfu_spi_flash_erase

bool(* dfu_spi_flash_func_t::dfu_spi_flash_erase) (uint32_t erase_type, uint32_t addr, uint32_t size)

The function is used to erase external flash by address.

Definition at line 142 of file gr5405_dfu.h.

## ◆ dfu_spi_flash_get_info

void(* dfu_spi_flash_func_t::dfu_spi_flash_get_info) (uint32_t *id, uint32_t *size)

The function is used to get external flash id and size.

Definition at line 143 of file gr5405_dfu.h.

## ◆ dfu_spi_flash_init

void(* dfu_spi_flash_func_t::dfu_spi_flash_init) (uint8_t *p_data)

The function is used to config flash spi.

Definition at line 139 of file gr5405_dfu.h.

## ◆ dfu_spi_flash_read

uint32_t(* dfu_spi_flash_func_t::dfu_spi_flash_read) (uint32_t addr, uint8_t *buf, uint32_t size)

The function is used to read external flash .

Definition at line 140 of file gr5405_dfu.h.

## ◆ dfu_spi_flash_write

uint32_t(* dfu_spi_flash_func_t::dfu_spi_flash_write) (uint32_t addr, uint8_t *buf, uint32_t size)

The function is used to write external flash.

Definition at line 141 of file gr5405_dfu.h.

The documentation for this struct was generated from the following file:

- gr5405_dfu.h